<template>
    <div>
        <el-form :inline="true" :model="query" class="query-form" size="mini">
            <el-form-item class="query-form-item">
                <el-input v-model="query.code" placeholder="条码查询"></el-input>
            </el-form-item>

            <el-form-item>
                <el-button-group>
                    <el-button type="primary" icon="search" @click="getCodeList"
                    >查询
                    </el-button
                    >
                </el-button-group>
            </el-form-item>
        </el-form>
        <el-table v-loading="loading" :data="codeArry" style="width: 100%">
            <el-table-column label="序号" type="index"></el-table-column>
            <el-table-column
                label="条码"
                prop="code"
                show-overflow-tooltip
            ></el-table-column>
            <el-table-column label="出入库类型" prop="action" width="150">
                <template slot-scope="scope">
                    <span>{{ getActionName(scope.row.action) }}</span>
                </template>
            </el-table-column>
            <el-table-column
                label="数量"
                prop="count"
                width="150"
                show-overflow-tooltip
            ></el-table-column>

            <el-table-column
                label="所属订单"
                prop="orderIdFk"
                width="200"
                show-overflow-tooltip
            ></el-table-column>
        </el-table>

        <el-pagination
            :current-page="query.page"
            :page-size="query.limit"
            @current-change="handleCurrentChange"
            layout="prev, pager, next,total"
            :total="total"
        >
        </el-pagination>
    </div>
</template>

<script>
import {
    filterDetailProducts,
} from "../../api/warehouse/InvProducts";
import store from "../../store";
import draggable from "vuedraggable";
import {getBusTypeByUser} from "../../api/warehouse/BusRole";

export default {
    name: "idQuery",
    props: {
        idQuery: {
            type: Object,
            required: true,
        },
    },
    data() {
        return {
            query: {
                productIdFk: null,
                customerId: null,
                batchNo: null,
                page: 1,
                limit: 20,
            },
            codeArry: [],
            total: 0,
            loading: true,
            index: null,
            formLoading: false,
            formVisible: false,
            deleteLoading: false,
            orderNo: null,
            busTypes: [],
        };
    },
    components: {
        draggable,
    },
    methods: {
        onReset() {
            this.$router.push({
                path: "",
            });
            this.query = {
                productIdFk: null,
                customerId: null,
                page: 1,
                limit: 20,
            };
            this.getCodeList();
        },
        onSubmit() {
            this.$router.push({
                path: "",
                query: this.query,
            });
            this.getCodeList();
        },
        handleSizeChange(val) {
            this.query.limit = val;
            this.getCodeList();
        },
        handleCurrentChange(val) {
            this.query.page = val;
            this.getCodeList();
        },
        getCodeList() {
            this.loading = true;
            this.query.productIdFk = this.idQuery.relIdFk;
            this.query.customerId = store.getters.customerId;
            this.query.batchNo = this.idQuery.batchNo;
            filterDetailProducts(this.query) //查找该单号下的所有条码
                .then((response) => {
                    this.loading = false;
                    this.codeArry = response.data.list || [];
                    this.total = response.data.total || 0;
                })
                .catch(() => {
                    this.loading = false;
                    this.list = [];
                    this.total = 0;
                });
        },
        intentBack() {
            //  this.$router.push({path:'../readme/detail',query:{id:row.corpOrderId}});
            this.$router.go(-1);
        },
        getActionName(action) {
            for (let i = 0; i < this.busTypes.length; i++) {
                if (this.busTypes[i].action === action) {
                    return this.busTypes[i].name;
                }
            }
        },
        getBusTypeByUser() {
            let query = {
                enabled: true
            };
            getBusTypeByUser(query)
                .then((response) => {
                    this.busTypes = response.data.list || [];
                    this.filterQuery.billAction = this.busTypes[0].action;
                })
                .catch(() => {
                });
        },
    },
    filters: {},
    mounted() {
        document.body.ondrop = function (event) {
            event.preventDefault();
            event.stopPropagation();
        };
    },
    created() {
        this.getBusTypeByUser();
        this.getCodeList();
    },
};
</script>



